PETSc version 3.17.4
Fix/Edit manual page

# DMLabelGetStratumPointIndex

Get the index of a point in a given stratum

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetStratumPointIndex(DMLabel label, PetscInt value, PetscInt p, PetscInt *index)

Not collective

### Input Parameters

| label | - The DMLabel
| value | - The label value
| p | - A point with this value

### Output Parameter

| index | - The index of this point in the stratum, or -1 if the point is not in the stratum or the stratum does not exist

### See Also

DMLabelGetValueIndex(), DMLabelGetStratumIS(), DMLabelCreate()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages